Bug 1649450 (CVE-2018-19060) - CVE-2018-19060 poppler: pdfdetach utility does not validate save paths
Summary: CVE-2018-19060 poppler: pdfdetach utility does not validate save paths
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-19060
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1649451 1649452 1649453 1651307
Blocks: 1649454
TreeView+ depends on / blocked
 
Reported: 2018-11-13 16:09 UTC by Laura Pardo
Modified: 2019-09-29 15:02 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:20:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2022 None None None 2019-08-06 12:02:57 UTC

Description Laura Pardo 2018-11-13 16:09:31 UTC
An issue was discovered in Poppler 0.71.0. There is a NULL pointer dereference in goo/GooString.h, will lead to denial of service, as demonstrated by utils/pdfdetach.cc not validating a filename of an embedded file before constructing a save path. 


References:
https://gitlab.freedesktop.org/poppler/poppler/issues/660

Comment 1 Laura Pardo 2018-11-13 16:10:08 UTC
Created mingw-poppler tracking bugs for this issue:

Affects: fedora-all [bug 1649452]


Created poppler tracking bugs for this issue:

Affects: fedora-all [bug 1649451]

Comment 5 Stefan Cornelius 2018-11-19 16:21:44 UTC
Statement:

This issue affects the versions of poppler as shipped with Red Hat Enterprise Linux 7.

Comment 7 errata-xmlrpc 2019-08-06 12:02:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2022 https://access.redhat.com/errata/RHSA-2019:2022

Comment 8 Product Security DevOps Team 2019-08-06 13:20:48 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-19060


Note You need to log in before you can comment on or make changes to this bug.